Rate-Configuration
Retrieve version information
Returns the version information for the Rate Configuration service.
get
https://dev.api.zinnia.io/rate-configuration/v1/utility/version
Response
200
Response
200
OK
get/rate-configuration/v1/utility/version
200
CarrierSourceEntry
objectOne entry of carrierSource.json, keyed by carrier ID (e.g. “GILI”).
* Additional properties are NOT allowed.
sourcestringrequired
Example
NewProductConfigurationVersion
objectNotification that a new product or product configuration version is available.
* Additional properties are NOT allowed.
carrierIdstringrequired
CarrierId of the planCode that has a new configuration version.
planCodestringrequired
PlanCode that has a new configuration version. If this is a new planCode, latest configuration version tracking will begin for it.
newLatestConfigurationVersionstringrequired
The new latest configuration version for this planCode
Example
ParameterHistoryItem
objectOne historical value change for a parameter, mirroring a ParamHistory.Bin record.
* Additional properties are NOT allowed.
parameterIdstringrequired
effectiveYearinteger(int32)required
effectiveMonthinteger(int32)required
effectiveDayinteger(int32)required
valuenumber(double)required
Example
RateMappingBenefitEntry
objectAn entry of a jurisdiction’s “benefits” map.
* Additional properties are NOT allowed.
availablebooleanrequired
configurationobject
parametersobject
Example